// SPDX-License-Identifier: GPL-3.0
pragma solidity ^0.8.20;

interface IValidator {
    function getMerkleRoot() external returns (bytes32);

    function submitMerkleRoot(uint256 _date, bytes32 _merkleRoot, bytes32 _merkleSumRoot, uint256 totalWorkload) external;

    function getDailyReward() external view returns (uint256);

    function setDailyReward(uint256 _dailyReward) external;
}